curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/rules/lint' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"body": [
{
"args": [],
"negated": true,
"predicate": "string"
}
],
"confidence": 7.5,
"description": "Two-person tent, green — replacement for damaged pole set.",
"effect": {
"0": "p",
"1": "e",
"2": "r",
"3": "m",
"4": "i",
"5": "t"
},
"head_args": [
"string"
],
"head_predicate": "string",
"name": "Two-Person Tent",
"test_cases": [
{
"expected_output": {},
"input_bindings": {},
"name": "Two-Person Tent",
"should_fire": true
}
]
}'
Dry-run lint check for a proposed rule without inserting it.
Required scope: write
POST
/
api
/
v1
/
rules
/
lint
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/rules/lint' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"body": [
{
"args": [],
"negated": true,
"predicate": "string"
}
],
"confidence": 7.5,
"description": "Two-person tent, green — replacement for damaged pole set.",
"effect": {
"0": "p",
"1": "e",
"2": "r",
"3": "m",
"4": "i",
"5": "t"
},
"head_args": [
"string"
],
"head_predicate": "string",
"name": "Two-Person Tent",
"test_cases": [
{
"expected_output": {},
"input_bindings": {},
"name": "Two-Person Tent",
"should_fire": true
}
]
}'
Required scope:
write
Request body
CreateRuleRequest
RuleAtomRequest[]
required
number (float)
string
object
string[]
required
string
required
string
required
RuleTestCaseRequest[]
Response
No response body. Lint diagnostics: {diagnostics: […], has_errors: bool}; the rule is NOT installed.Status codes
| Code | Meaning |
|---|---|
200 | Lint diagnostics: {diagnostics: […], has_errors: bool}; the rule is NOT installed |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/rules/lint' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"body": [
{
"args": [],
"negated": true,
"predicate": "string"
}
],
"confidence": 7.5,
"description": "Two-person tent, green — replacement for damaged pole set.",
"effect": {
"0": "p",
"1": "e",
"2": "r",
"3": "m",
"4": "i",
"5": "t"
},
"head_args": [
"string"
],
"head_predicate": "string",
"name": "Two-Person Tent",
"test_cases": [
{
"expected_output": {},
"input_bindings": {},
"name": "Two-Person Tent",
"should_fire": true
}
]
}'
Last modified on August 31, 2026